Payment Method Types
Get store payment method types
GEThttps://api.paynow.gg/v1/stores/{storeId}/payment-method-types
Retrieves all payment method types associated with a store
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
Response
200OKPaymentMethodTypeDto[]
Show fieldsHide fields
approval_requiredbooleanRequired
b2b_supportedbooleanRequired
b2c_supportedbooleanRequired
categorystringRequired
confirmationstringRequired
country_currency_mappingPaymentMethodTypeCountryCurrencyMappingDto[]Required
countrystringRequired
currenciesstring[]Required
enabledbooleanRequired
fee_overridesPaymentMethodTypeFeeOverrideDto[]Required
begins_atstringRequired
card_brandsstring[]Required
card_funding_typesstring[]Required
card_networksstring[]Required
card_product_categoriesstring[]Required
card_regulated_statusesstring[]Required
countriesstring[]Required
fee_centsintegerRequired
fee_percentageintegerRequired
ends_atstringOptional
fee_schedule_idFlakeIdOptional
gatewaysenum[]Required
Possible enum values
invalidstripepaypalforumpaysteamskinsnuveipagsegurotazapaypaysafecheckoutcom
idstringRequired
kyc_requiredbooleanRequired
namestringRequired
refunds_supportedbooleanRequired
revenue_usageintegerRequired
subscriptions_supportedbooleanRequired
supported_countriesstring[]Required
supported_currenciesstring[]Required
supported_settlement_currenciesstring[]Required
approval_decided_atstringOptional
approval_decline_reasonstringOptional
approval_requested_atstringOptional
approval_statusenumOptional
Possible enum values
invalidpendingapprovedrejectedsubmitted
checkout_logo_url_darkstringOptional
checkout_logo_url_lightstringOptional
default_monthly_revenue_limitintegerOptional
logo_urlstringOptional
max_transaction_amountintegerOptional
min_transaction_amountintegerOptional
monthly_revenue_limitintegerOptional
settlement_timestringOptional
store_idFlakeIdOptional
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/payment-method-types" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.paymentMethodTypes.getStorePaymentMethodTypes();import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/payment-method-types", headers=headers)Response200
[
{
"approval_required": true,
"b2b_supported": true,
"b2c_supported": true,
"category": "string",
"confirmation": "string",
"country_currency_mapping": [
{
"country": "string",
"currencies": [
"string"
]
}
],
"enabled": true,
"fee_overrides": [
{
"begins_at": "2024-01-01T00:00:00Z",
"card_brands": [
"string"
],
"card_funding_types": [
"string"
],
"card_networks": [
"string"
],
"card_product_categories": [
"string"
],
"card_regulated_statuses": [
"string"
],
"countries": [
"string"
],
"fee_cents": 0,
"fee_percentage": 0,
"fee_schedule_id": "411486491630370816",
"ends_at": "2024-01-01T00:00:00Z"
}
],
"gateways": [
"invalid"
],
"id": "string",
"kyc_required": true,
"name": "string",
"refunds_supported": true,
"revenue_usage": 0,
"subscriptions_supported": true,
"supported_countries": [
"string"
],
"supported_currencies": [
"string"
],
"supported_settlement_currencies": [
"string"
],
"store_id": "411486491630370816",
"logo_url": "string",
"checkout_logo_url_light": "string",
"checkout_logo_url_dark": "string",
"monthly_revenue_limit": 0,
"default_monthly_revenue_limit": 0,
"settlement_time": "string",
"min_transaction_amount": 0,
"max_transaction_amount": 0,
"approval_status": "invalid",
"approval_decline_reason": "string",
"approval_requested_at": "2024-01-01T00:00:00Z",
"approval_decided_at": "2024-01-01T00:00:00Z"
}
]Toggle a store payment method type
PATCHhttps://api.paynow.gg/v1/stores/{storeId}/payment-method-types/{paymentMethodTypeId}/toggle
Enables or disabled a payment method type for a store
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
paymentMethodTypeIdstringRequired
Request body
enabledbooleanRequired
curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/payment-method-types/{paymentMethodTypeId}/toggle" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"enabled": true
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.paymentMethodTypes.toggleStorePaymentMethodType("string", {
enabled: true,
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"enabled": True,
}
response = requests.patch("https://api.paynow.gg/v1/stores/{storeId}/payment-method-types/{paymentMethodTypeId}/toggle", headers=headers, json=payload)Request approval for a store payment method type
POSThttps://api.paynow.gg/v1/stores/{storeId}/payment-method-types/{paymentMethodTypeId}/request-approval
Requests approval to use a payment method type that requires manual review
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
paymentMethodTypeIdstringRequired
curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/payment-method-types/{paymentMethodTypeId}/request-approval" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.paymentMethodTypes.requestStorePaymentMethodTypeApproval("string");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.post("https://api.paynow.gg/v1/stores/{storeId}/payment-method-types/{paymentMethodTypeId}/request-approval", headers=headers)